import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const stawardGetSegmentDashboardService = createAsyncThunk(
  "STEWARD_GET_SEGMENT_DASHBOARD_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("segmentation-dashboard/", {
      params: {
        search: "filter",
        ...d,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
